INTERFACE
SUBROUTINE STORE_SURFTSTP(KJ, KJREF,KSTART,KSTEP,&
 & KIDIA,KFDIA,KLON,KLEV,KLEVS,KLEVO,KSTGLO,LDOCN_KPP,&
 & PWSA,PTSA,PZO,PHO,PHO_INV,PDO,PADVT,PADVS,PTRI0,PTRI1,PSWDK_SAVE,&
 & PUSTRC,PVSTRC,&
 & PUO0,PVO0,PUOC,PVOC,PTO0,PSO0,&
 & PFTG12,PFWROD,PFWRO1,PFWG12,PFWMLT,PFWEV,PENES,&
 & PDIFM, PDIFT, PDIFS,&
 & PSNSE1,PTSNE1,PASNE1,PRSNE1,PTSAE1,PTIAE1,&
 & PWLE1,PWSAE1,PTLICEE1,PTLMNWE1,PTLWMLE1,PTLBOTE1,PTLSFE1,&
 & PHLICEE1,PHLMLE1,PUOE1,PVOE1,PTOE1,PSOE1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KJ
INTEGER(KIND=JPIM),INTENT(IN) :: KJREF
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVO
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDOCN_KPP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSA(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSA(KLON,KLEVS)
REAL(KIND=JPRB), INTENT(IN) :: PZO(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PHO(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PHO_INV(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PDO(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(IN) :: PADVT(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PADVS(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PTRI0(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(IN) :: PTRI1(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(IN) :: PSWDK_SAVE(KLON,0:KLEVO)
REAL(KIND=JPRB), INTENT(IN) :: PUO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PVO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PTO0(KLON,KLEVO+1)
REAL(KIND=JPRB), INTENT(IN) :: PSO0(KLON,KLEVO+1)
REAL(KIND=JPRB),INTENT(IN) :: PUOC(KLON,KLEVO+1)
REAL(KIND=JPRB),INTENT(IN) :: PVOC(KLON,KLEVO+1)
REAL(KIND=JPRB),INTENT(IN) :: PUSTRC(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PVSTRC(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFTG12(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWROD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWRO1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWG12(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWMLT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFWEV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PENES(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFM(KLON,0:KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFT(KLON,0:KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFS(KLON,0:KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNSE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSNE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PASNE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSNE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTIAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PWLE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSAE1(KLON,KLEVS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLICEE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLMNWE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLWMLE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLBOTE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTLSFE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHLICEE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHLMLE1(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PUOE1(KLON,KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOE1(KLON,KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOE1(KLON,KLEVO+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOE1(KLON,KLEVO+1)
END SUBROUTINE STORE_SURFTSTP
END INTERFACE
